# Uses of Enum Class
net.shibboleth.idp.attribute.filter.context.AttributeFilterContext.Direction

Packages that use AttributeFilterContext.Direction
Package
Description
net.shibboleth.idp.attribute.filter.context
The contexts to do with attribute filtering.
net.shibboleth.idp.attribute.filter.policyrule.impl
Classes which implement`PolicyRequirementRule`.

## Uses of AttributeFilterContext.Direction in net.shibboleth.idp.attribute.filter.context

Fields in net.shibboleth.idp.attribute.filter.context declared as AttributeFilterContext.Direction
Modifier and Type
Field
Description
`private AttributeFilterContext.Direction`
AttributeFilterContext.`direction`
Direction of filtering.
Methods in net.shibboleth.idp.attribute.filter.context that return AttributeFilterContext.Direction
Modifier and Type
Method
Description
`AttributeFilterContext.Direction`
AttributeFilterContext.`getDirection()`
Gets the direction of filtering.
`static AttributeFilterContext.Direction`
AttributeFilterContext.Direction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AttributeFilterContext.Direction[]`
AttributeFilterContext.Direction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.idp.attribute.filter.context with parameters of type AttributeFilterContext.Direction
Modifier and Type
Method
Description
`AttributeFilterContext`
AttributeFilterContext.`setDirection(AttributeFilterContext.Direction dir)`
Sets the direction of filtering.

## Uses of AttributeFilterContext.Direction in net.shibboleth.idp.attribute.filter.policyrule.impl

Fields in net.shibboleth.idp.attribute.filter.policyrule.impl declared as AttributeFilterContext.Direction
Modifier and Type
Field
Description
`private AttributeFilterContext.Direction`
DirectionPolicyRule.`matchDirection`
Direction to match for a positive evaluation.
Methods in net.shibboleth.idp.attribute.filter.policyrule.impl that return AttributeFilterContext.Direction
Modifier and Type
Method
Description
`AttributeFilterContext.Direction`
DirectionPolicyRule.`getMatchDirection()`
Gets the `AttributeFilterContext.Direction` to match for a positive evaluation.
Methods in net.shibboleth.idp.attribute.filter.policyrule.impl with parameters of type AttributeFilterContext.Direction
Modifier and Type
Method
Description
`void`
DirectionPolicyRule.`setMatchDirection(AttributeFilterContext.Direction match)`
Sets the `AttributeFilterContext.Direction` to match for a positive evaluation.